[arch-commits] Commit in python-freezegun/repos/community-staging-any (2 files)

Evangelos Foutras foutrelis at archlinux.org
Thu Nov 12 10:09:16 UTC 2020


    Date: Thursday, November 12, 2020 @ 10:09:16
  Author: foutrelis
Revision: 751438

archrelease: copy trunk to community-staging-any

Added:
  python-freezegun/repos/community-staging-any/PKGBUILD
    (from rev 751437, python-freezegun/trunk/PKGBUILD)
Deleted:
  python-freezegun/repos/community-staging-any/PKGBUILD

----------+
 PKGBUILD |  100 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 50 insertions(+), 50 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-11-12 10:09:12 UTC (rev 751437)
+++ PKGBUILD	2020-11-12 10:09:16 UTC (rev 751438)
@@ -1,50 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgbase=python-freezegun
-pkgname=('python-freezegun' 'python2-freezegun')
-pkgver=0.3.15
-pkgrel=2
-pkgdesc="Let your Python tests travel through time"
-arch=('any')
-license=('Apache')
-url="https://github.com/spulec/freezegun"
-makedepends=('python-setuptools' 'python2-setuptools' 'python-dateutil' 'python2-dateutil')
-checkdepends=('python-pytest' 'python2-pytest' 'python-mock' 'python2-mock'
-              'python-dateutil' 'python2-dateutil')
-source=("$pkgbase-$pkgver.tar.gz::https://github.com/spulec/freezegun/archive/$pkgver.tar.gz")
-sha512sums=('7b89fa2ba56cbcf274e33eea868d8f3653b0f2c47e91b1df9f72b65a0f1cb04f6364a00d9666afbc629707c5eaa238f36e9ef36b79dacd74d7fd00faea4a1a29')
-
-prepare() {
-  cp -a freezegun-$pkgver{,-py2}
-}
-
-build() {
-  cd "$srcdir"/freezegun-$pkgver
-  python setup.py build
-
-  cd "$srcdir"/freezegun-$pkgver-py2
-  python2 setup.py build
-}
-
-check() {
-  cd "$srcdir"/freezegun-$pkgver
-  # https://github.com/spulec/freezegun/issues/250
-  pytest || echo "Tests failed"
-
-  cd "$srcdir"/freezegun-$pkgver-py2
-  pytest2
-}
-
-package_python-freezegun() {
-  depends=('python-dateutil')
-
-  cd freezegun-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1
-}
-
-package_python2-freezegun() {
-  depends=('python2-dateutil')
-
-  cd freezegun-$pkgver-py2
-  python2 setup.py install --root="$pkgdir" --optimize=1
-}

Copied: python-freezegun/repos/community-staging-any/PKGBUILD (from rev 751437, python-freezegun/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-11-12 10:09:16 UTC (rev 751438)
@@ -0,0 +1,50 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgbase=python-freezegun
+pkgname=('python-freezegun' 'python2-freezegun')
+pkgver=0.3.15
+pkgrel=3
+pkgdesc="Let your Python tests travel through time"
+arch=('any')
+license=('Apache')
+url="https://github.com/spulec/freezegun"
+makedepends=('python-setuptools' 'python2-setuptools' 'python-dateutil' 'python2-dateutil')
+checkdepends=('python-pytest' 'python2-pytest' 'python-mock' 'python2-mock'
+              'python-dateutil' 'python2-dateutil')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/spulec/freezegun/archive/$pkgver.tar.gz")
+sha512sums=('7b89fa2ba56cbcf274e33eea868d8f3653b0f2c47e91b1df9f72b65a0f1cb04f6364a00d9666afbc629707c5eaa238f36e9ef36b79dacd74d7fd00faea4a1a29')
+
+prepare() {
+  cp -a freezegun-$pkgver{,-py2}
+}
+
+build() {
+  cd "$srcdir"/freezegun-$pkgver
+  python setup.py build
+
+  cd "$srcdir"/freezegun-$pkgver-py2
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir"/freezegun-$pkgver
+  # https://github.com/spulec/freezegun/issues/250
+  pytest || echo "Tests failed"
+
+  cd "$srcdir"/freezegun-$pkgver-py2
+  pytest2
+}
+
+package_python-freezegun() {
+  depends=('python-dateutil')
+
+  cd freezegun-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+}
+
+package_python2-freezegun() {
+  depends=('python2-dateutil')
+
+  cd freezegun-$pkgver-py2
+  python2 setup.py install --root="$pkgdir" --optimize=1
+}


More information about the arch-commits mailing list